##
## $Id: Makefile.am,v 1.2 2001-09-27 12:02:00 chris Exp $
##

AUTOMAKE_OPTIONS = foreign 1.4

H_FILES = buf.h callout.h cdefs.h conf.h domain.h filio.h ioccom.h \
    ioctl.h kernel.h libkern.h malloc.h mbuf.h mount.h param.h proc.h \
    protosw.h queue.h reboot.h resourcevar.h rtprio.h select.h signalvar.h \
    socket.h socketvar.h sockio.h sysctl.h syslimits.h syslog.h systm.h \
    ttycom.h ttydefaults.h ucred.h uio.h un.h

noinst_HEADERS = $(H_FILES)

PREINSTALL_FILES += $(PROJECT_INCLUDE)/sys $(H_FILES:%=$(PROJECT_INCLUDE)/sys/%)

$(PROJECT_INCLUDE)/sys:
	@$(mkinstalldirs) $@

$(PROJECT_INCLUDE)/sys/%.h: %.h
	$(INSTALL_DATA) $< $@

all-local: $(PREINSTALL_FILES)

include $(top_srcdir)/../../../automake/local.am
